org.keycloak.connections.jpa.updater.liquibase.lock

## Class CustomInsertLockRecordGenerator

- java.lang.Object
- - liquibase.sqlgenerator.core.AbstractSqlGenerator<liquibase.statement.core.InitializeDatabaseChangeLogLockTableStatement>
  - - org.keycloak.connections.jpa.updater.liquibase.lock.CustomInsertLockRecordGenerator

- All Implemented Interfaces:
    liquibase.servicelocator.PrioritizedService, liquibase.sqlgenerator.SqlGenerator<liquibase.statement.core.InitializeDatabaseChangeLogLockTableStatement>

      public class CustomInsertLockRecordGenerator
      extends liquibase.sqlgenerator.core.AbstractSqlGenerator<liquibase.statement.core.InitializeDatabaseChangeLogLockTableStatement>

  We need to remove DELETE SQL command, which liquibase adds by default when inserting record to table lock. This is causing buggy behaviour
  Author:
    Marek Posolda

- - ### Field Summary

    - ### Fields inherited from interface liquibase.sqlgenerator.SqlGenerator

      `PRIORITY_DATABASE, PRIORITY_DEFAULT`

    - ### Fields inherited from interface liquibase.servicelocator.PrioritizedService

      `COMPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomInsertLockRecordGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `liquibase.sql.Sql[]` | `generateSql(liquibase.statement.core.InitializeDatabaseChangeLogLockTableStatement statement, liquibase.database.Database database, liquibase.sqlgenerator.SqlGeneratorChain sqlGeneratorChain)`
    `int` | `getPriority()`
    `liquibase.exception.ValidationErrors` | `validate(liquibase.statement.core.InitializeDatabaseChangeLogLockTableStatement initializeDatabaseChangeLogLockTableStatement, liquibase.database.Database database, liquibase.sqlgenerator.SqlGeneratorChain sqlGeneratorChain)`

    - ### Methods inherited from class liquibase.sqlgenerator.core.AbstractSqlGenerator

      `generateRollbackStatementsIsVolatile, generateStatementsIsVolatile, looksLikeFunctionCall, supports, warn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomInsertLockRecordGenerator

          public CustomInsertLockRecordGenerator()

  - ### Method Detail

    - #### getPriority

          public int getPriority()

      Specified by:
        `getPriority` in interface `liquibase.servicelocator.PrioritizedService`
      Specified by:
        `getPriority` in interface `liquibase.sqlgenerator.SqlGenerator<liquibase.statement.core.InitializeDatabaseChangeLogLockTableStatement>`
      Overrides:
        `getPriority` in class `liquibase.sqlgenerator.core.AbstractSqlGenerator<liquibase.statement.core.InitializeDatabaseChangeLogLockTableStatement>`

    - #### validate

          public liquibase.exception.ValidationErrors validate(liquibase.statement.core.InitializeDatabaseChangeLogLockTableStatement initializeDatabaseChangeLogLockTableStatement,
                                                               liquibase.database.Database database,
                                                               liquibase.sqlgenerator.SqlGeneratorChain sqlGeneratorChain)

    - #### generateSql

          public liquibase.sql.Sql[] generateSql(liquibase.statement.core.InitializeDatabaseChangeLogLockTableStatement statement,
                                                 liquibase.database.Database database,
                                                 liquibase.sqlgenerator.SqlGeneratorChain sqlGeneratorChain)

Copyright © 2016 JBoss by Red Hat. All rights reserved.